package com.chenyang.nse.bussiness.entity.orm.table.core.datamap;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DATAMAP_TABLERELATION"
)
public class TCoreDatamapTablerelation extends TBaseEntity {
   private String sourcetableid;
   private String targettableid;
   private String linesize;
   private String datamapid;

   public TCoreDatamapTablerelation() {
   }

   public TCoreDatamapTablerelation(String sourcetableid, String targettableid, String linesize, String datamapid) {
      this.sourcetableid = sourcetableid;
      this.targettableid = targettableid;
      this.linesize = linesize;
      this.datamapid = datamapid;
   }

   public String getSourcetableid() {
      return this.sourcetableid;
   }

   public void setSourcetableid(String sourcetableid) {
      this.sourcetableid = sourcetableid;
   }

   public String getTargettableid() {
      return this.targettableid;
   }

   public void setTargettableid(String targettableid) {
      this.targettableid = targettableid;
   }

   public String getLinesize() {
      return this.linesize;
   }

   public void setLinesize(String linesize) {
      this.linesize = linesize;
   }

   public String getDatamapid() {
      return this.datamapid;
   }

   public void setDatamapid(String datamapid) {
      this.datamapid = datamapid;
   }

   public String toString() {
      return "TCoreDatamapTablerelation [sourcetableid=" + this.sourcetableid + ", targettableid=" + this.targettableid + ", linesize=" + this.linesize + ", datamapid=" + this.datamapid + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.datamapid == null ? 0 : this.datamapid.hashCode());
      result = 31 * result + (this.linesize == null ? 0 : this.linesize.hashCode());
      result = 31 * result + (this.sourcetableid == null ? 0 : this.sourcetableid.hashCode());
      result = 31 * result + (this.targettableid == null ? 0 : this.targettableid.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreDatamapTablerelation other = (TCoreDatamapTablerelation)obj;
         if (this.datamapid == null) {
            if (other.datamapid != null) {
               return false;
            }
         } else if (!this.datamapid.equals(other.datamapid)) {
            return false;
         }

         if (this.linesize == null) {
            if (other.linesize != null) {
               return false;
            }
         } else if (!this.linesize.equals(other.linesize)) {
            return false;
         }

         if (this.sourcetableid == null) {
            if (other.sourcetableid != null) {
               return false;
            }
         } else if (!this.sourcetableid.equals(other.sourcetableid)) {
            return false;
         }

         if (this.targettableid == null) {
            if (other.targettableid != null) {
               return false;
            }
         } else if (!this.targettableid.equals(other.targettableid)) {
            return false;
         }

         return true;
      }
   }
}
